## GtkTextMark GtkTextMark |

## Functions

GtkTextMark * | gtk_text_mark_new ()
void | gtk_text_mark_set_visible ()
gboolean | gtk_text_mark_get_visible ()
gboolean | gtk_text_mark_get_deleted ()
const gchar * | gtk_text_mark_get_name ()
GtkTextBuffer * | gtk_text_mark_get_buffer ()
gboolean | gtk_text_mark_get_left_gravity ()

## Properties

gboolean | left-gravity | Read / Write / Construct Only
char * | name | Read / Write / Construct Only

## Types and Values

struct | GtkTextMark

## Object Hierarchy

        GObject
        ╰── GtkTextMark

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_text_mark_new ()

    GtkTextMark *
    gtk_text_mark_new (const gchar *name,
                       gboolean left_gravity);

Creates a text mark. Add it to a buffer using `gtk_text_buffer_add_mark()`. If `name` is `NULL`, the mark is anonymous; otherwise, the mark can be retrieved by name using `gtk_text_buffer_get_mark()`. If a mark has left gravity, and text is inserted at the mark's current location, the mark will be moved to the left of the newly-inserted text. If the mark has right gravity (`left_gravity` = `FALSE`), the mark will end up on the right of newly-inserted text. The standard left-to-right cursor is a mark with right gravity (when you type, the cursor stays on the right side of the text you're typing).

#### Parameters

name | mark name or `NULL`. | [allow-none]
left_gravity | whether the mark should have left gravity |

#### Returns

new GtkTextMark

Since: 2.12

### gtk_text_mark_set_visible ()

    void
    gtk_text_mark_set_visible (GtkTextMark *mark,
                               gboolean setting);

Sets the visibility of `mark` ; the insertion point is normally visible, i.e. you can see it as a vertical bar. Also, the text widget uses a visible mark to indicate where a drop will occur when dragging-and-dropping text. Most other marks are not visible. Marks are not visible by default.

#### Parameters

mark | a GtkTextMark |
setting | visibility of mark |

### gtk_text_mark_get_visible ()

    gboolean
    gtk_text_mark_get_visible (GtkTextMark *mark);

Returns `TRUE` if the mark is visible (i.e. a cursor is displayed for it).

#### Parameters

mark | a GtkTextMark |

#### Returns

`TRUE` if visible

### gtk_text_mark_get_deleted ()

    gboolean
    gtk_text_mark_get_deleted (GtkTextMark *mark);

Returns `TRUE` if the mark has been removed from its buffer with `gtk_text_buffer_delete_mark()`. See `gtk_text_buffer_add_mark()` for a way to add it to a buffer again.

#### Parameters

mark | a GtkTextMark |

#### Returns

whether the mark is deleted

### gtk_text_mark_get_name ()

    const gchar *
    gtk_text_mark_get_name (GtkTextMark *mark);

Returns the mark name; returns NULL for anonymous marks.

#### Parameters

mark | a GtkTextMark |

#### Returns

mark name

### gtk_text_mark_get_buffer ()

    GtkTextBuffer *
    gtk_text_mark_get_buffer (GtkTextMark *mark);

Gets the buffer this mark is located inside, or `NULL` if the mark is deleted.

#### Parameters

mark | a GtkTextMark |

#### Returns

the mark's GtkTextBuffer.

[transfer none]

### gtk_text_mark_get_left_gravity ()

    gboolean
    gtk_text_mark_get_left_gravity (GtkTextMark *mark);

Determines whether the mark has left gravity.

#### Parameters

mark | a GtkTextMark |

#### Returns

`TRUE` if the mark has left gravity, `FALSE` otherwise

## Types and Values

### struct GtkTextMark

    struct GtkTextMark;

## Property Details

### The `“left-gravity”` property

      “left-gravity”             gboolean

Whether the mark has left gravity.

Owner: GtkTextMark

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“name”` property

      “name”                     char *

Mark name.

Owner: GtkTextMark

Flags: Read / Write / Construct Only

Default value: NULL